Skip to main content
POST
/
merchant
/
metric
/
event
/
current_value
Get Merchant Metric Event Current Value
curl --request POST \
  --url https://api.unibee.dev/merchant/metric/event/current_value \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metricCode": "<string>",
  "email": "account@unibee.dev",
  "externalUserId": "<string>",
  "productId": 123,
  "userId": 123
}
'
{
  "code": 123,
  "data": {
    "currentValue": 123,
    "metricLimit": {
      "MerchantId": 123,
      "MetricId": 123,
      "PlanLimits": [
        {
          "createTime": 123,
          "gmtModify": 123,
          "id": 123,
          "merchantId": 123,
          "merchantMetric": {
            "aggregationProperty": "<string>",
            "aggregationType": 123,
            "archived": true,
            "carryoverProrationEnabled": true,
            "code": "<string>",
            "createTime": 123,
            "gmtModify": 123,
            "id": 123,
            "merchantId": 123,
            "metaData": {},
            "metricDescription": "<string>",
            "metricName": "<string>",
            "prorationRefundEnabled": true,
            "type": 123,
            "unit": "<string>"
          },
          "metricId": 123,
          "metricLimit": 123,
          "planId": 123,
          "quantity": 123
        }
      ],
      "TotalLimit": 123,
      "UserId": 123,
      "aggregationProperty": "<string>",
      "aggregationType": 123,
      "code": "<string>",
      "metricName": "<string>",
      "quotaAdjustments": [
        {
          "adjustmentTime": 123,
          "id": 123,
          "merchantMemberEmail": "<string>",
          "merchantMemberId": 123,
          "previousPeriodLimit": 123,
          "previousPeriodUsed": 123,
          "quotaAmount": 123,
          "quotaType": "<string>",
          "reason": "<string>"
        }
      ],
      "type": 123
    },
    "totalLimit": 123
  },
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/metric/event/current_value Get Merchant Metric Event Current Value

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
emailstringNoEmail, UserId, ExternalUserId, or Email provides one of three options
externalUserIdstringNoExternalUserId, UserId, ExternalUserId, or Email provides one of three options
metricCodestringYesMetricCode
productIdintegerNoId of product. Default product will use if productId not specified and subscriptionId is blank
userIdintegerNoUserId, UserId, ExternalUserId, or Email provides one of three options

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/metric/event/current_value" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "user@example.com",
  "externalUserId": "id_example",
  "metricCode": "",
  "productId": 0,
  "userId": 0
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/metric/event/current_value" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "user@example.com",
  "externalUserId": "id_example",
  "metricCode": "",
  "productId": 0,
  "userId": 0
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.
FieldTypeDescription
codeintegerResponse code. 0 = success
dataobjectResponse payload
data.currentValueinteger
data.metricLimitobject
data.totalLimitintegerTotal limit for the metric. Returns -1 if metric is not limit type.
messagestringHuman-readable message
requestIdstringRequest ID for support

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
metricCode
string<string>
required

MetricCode

email
string<string>
default:account@unibee.dev

Email, UserId, ExternalUserId, or Email provides one of three options

externalUserId
string<string>

ExternalUserId, UserId, ExternalUserId, or Email provides one of three options

productId
integer<int64>

Id of product. Default product will use if productId not specified and subscriptionId is blank

userId
integer<int64>

UserId, UserId, ExternalUserId, or Email provides one of three options

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>